Bug 853591 - [abrt] Calc help, searched index for 'HYPERLINK' => killed by signal 11 (SIGSEGV)
[abrt] Calc help, searched index for 'HYPERLINK' => killed by signal 11 (SIGS...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:ac0d304f85608a1fbead30cfe4a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-01 00:46 EDT by Nick Fenwick
Modified: 2012-09-12 04:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 04:56:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: open_fds (2.67 KB, text/plain)
2012-09-01 00:46 EDT, Nick Fenwick
no flags Details
File: dso_list (22.55 KB, text/plain)
2012-09-01 00:46 EDT, Nick Fenwick
no flags Details
File: event_log (4.20 KB, text/plain)
2012-09-01 00:46 EDT, Nick Fenwick
no flags Details
File: var_log_messages (319 bytes, text/plain)
2012-09-01 00:46 EDT, Nick Fenwick
no flags Details
File: maps (100.70 KB, text/plain)
2012-09-01 00:46 EDT, Nick Fenwick
no flags Details

  None (edit)
Description Nick Fenwick 2012-09-01 00:46:34 EDT
Description of problem:
Opened Calc help, searched index for 'HYPERLINK', hit Enter to open page with that content.  Page opened and rendered, there was a small pause, then crash.  I think images were loading asynchronously on the help page, and either they crashed it, or an onLoad handler that scrolls to the right point once loading has finished caused the error.

Additional info:
libreport version: 2.0.13
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc file:///home/neek/Downloads/Total_won_per_month-9_1_12-4-36_AM.csv --splash-pipe=6
kernel:         3.5.2-3.fc17.x86_64
Comment 1 Nick Fenwick 2012-09-01 00:46:37 EDT
Created attachment 608759 [details]
File: open_fds
Comment 2 Nick Fenwick 2012-09-01 00:46:42 EDT
Created attachment 608760 [details]
File: dso_list
Comment 3 Nick Fenwick 2012-09-01 00:46:44 EDT
Created attachment 608761 [details]
File: event_log
Comment 4 Nick Fenwick 2012-09-01 00:46:46 EDT
Created attachment 608762 [details]
File: var_log_messages
Comment 5 Nick Fenwick 2012-09-01 00:46:50 EDT
Created attachment 608763 [details]
File: maps
Comment 6 Caolan McNamara 2012-09-11 16:23:24 EDT
hmm, lots of attachment from abrt, but no backtrace attachment which is the most helpful :-(
Comment 7 Nick Fenwick 2012-09-12 00:14:21 EDT
Sorry Caolan, I just clicked on the prompts in the ABRT tool that captured the crash.  I think I've been prompted to install debug packages before now, which might help generate a useful backtrace, but that procedure has never led to me actually being able to generate a backtrace.

Going back into Help after this crash and repeating the actions did not reproduce the crash, so I can't offer any more than what ABRT gave you.
Comment 8 Caolan McNamara 2012-09-12 04:56:55 EDT
unfortunate, tried this now under valgrind in case that showed anything suspicious, but no suggestions there either

Note You need to log in before you can comment on or make changes to this bug.